Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Interface IValue

All Superinterfaces
  Serializable

    public interface IValue

extends Serializable

This class stores a property value.

Method Summary
`boolean` | `getBoolean()` Gets the value as a boolean.
`Date` | `getDate()` Gets the value as a `Date`.
`double` | `getDouble()` Gets the value as a double.
`float` | `getFloat()` Gets the value as a float.
`int` | `getInt()` Gets the value as an integer.
`InvalidValue` | `getInvalidValue()` Gets the `InvalidValue` instance.
`Key` | `getKey()` Gets the key associated with the value.
`long` | `getLong()` Gets the value as a long.
`Object` | `getObject()` Gets the value as an object.
`short` | `getShort()` Gets the value as a short.
`String` | `getString()` Gets the value as a string.
`boolean` | `isInvalid()` Gets if this Value is invalid.
`boolean` | `isUpdated()` Has this Value been updated?
`void` | `setValue(Object value)` Sets the value.

Method Detail

### getKey

    Key getKey()

  Gets the key associated with the value.

  Returns
    the key

### getObject

    Object getObject()

  Gets the value as an object.

  Returns
    the value (may be `null`)
  Throws
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)

### getBoolean

    boolean getBoolean()

  Gets the value as a boolean.

  Returns
    the value
  Throws
    `ClassCastException` - if the value is not a `Boolean`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getInt

    int getInt()

  Gets the value as an integer.

  Returns
    the integer value
  Throws
    `ClassCastException` - if the value is not a Number.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getShort

    short getShort()

  Gets the value as a short.

  Returns
    the short value
  Throws
    `ClassCastException` - if the value is not a `Number`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getLong

    long getLong()

  Gets the value as a long.

  Returns
    the long value
  Throws
    `ClassCastException` - if the value is not a `Number`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getFloat

    float getFloat()

  Gets the value as a float.

  Returns
    the float value
  Throws
    `ClassCastException` - if the value is not a `Number`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getDouble

    double getDouble()

  Gets the value as a double.

  Returns
    the double value
  Throws
    `ClassCastException` - if the value is not a `Number`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getDate

    Date getDate()

  Gets the value as a `Date`.

  Returns
    the date value (may be `null`)
  Throws
    `ClassCastException` - if the value is not a `Date`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)

### getString

    String getString()

  Gets the value as a string.

  Returns
    the string value (may be `null`)
  Throws
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)

### setValue

    void setValue(Object value)

  Sets the value.

  Parameters
    `value` - the value
  Throws
    `ClassCastException` - if the value is the wrong type

### isUpdated

    boolean isUpdated()

  Has this Value been updated?

  Returns
    `true` if the value has been updated

### isInvalid

    boolean isInvalid()

  Gets if this Value is invalid.

### getInvalidValue

    InvalidValue getInvalidValue()

  Gets the `InvalidValue` instance.

  Returns
    the invalid value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved